library(shiny)

shinyUI(fluidPage(

  titlePanel("Taylor Approximations"),

  sidebarLayout(
      sidebarPanel(
           textInput("fun","Enter your function:",value="sin(x)"),
           numericInput("from","From",value=0),
           numericInput("to","To",value=6),           
           
           selectInput("deg", "Degree of Approximation:", 
                  choices = c("Linear","Quadratic","Cubic","Biquadratic","All")),
                                                                                
           sliderInput("k","At Point in Range",min=0, max=49, value=12,step=1, 
                animate=animationOptions(interval = 500)),
          uiOutput("appinfo"),width=3
        ),
    mainPanel(
      uiOutput("text"),
      plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

